Bug 151235 - [maintainer update] [patch] astro/astrometry port update to fix FreeBSD 6.x amd64 compilation issue
Summary: [maintainer update] [patch] astro/astrometry port update to fix FreeBSD 6.x a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-06 01:40 UTC by dereckson
Modified: 2010-10-09 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.90 KB, patch)
2010-10-06 01:40 UTC, dereckson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dereckson 2010-10-06 01:40:02 UTC
Fixing amd64/FreeBSD 6 compilation main problem (cf. http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/a.6.20100927082744/astrometry-0.34.log)

CVS file changes:
This patch removes the file files/gnu-specific-config.h
This patch adds the file files/os-features-config.h

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-10-06 01:40:10 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-10-06 01:40:12 UTC
Maintainer of astro/astrometry,

Please note that PR ports/151235 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151235

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-10-06 01:40:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dereckson 2010-10-06 02:22:29 UTC
Approval.

On Wed, Oct 6, 2010 at 2:40 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of astro/astrometry,
>
> Please note that PR ports/151235 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151235
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2010-10-06 20:45:39 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Max Brazhnikov freebsd_committer 2010-10-09 22:08:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 7 dfilter service freebsd_committer 2010-10-09 23:34:15 UTC
makc        2010-10-09 22:34:10 UTC

  FreeBSD ports repository

  Modified files:
    astro/astrometry     Makefile 
  Added files:
    astro/astrometry/files os-features-config.h 
  Removed files:
    astro/astrometry/files gnu-specific-config.h 
  Log:
  Fix build on 6.x
  
  PR:             ports/151235
  Submitted by:   Sébastien Santoro (maintainer)
  
  Revision  Changes    Path
  1.9       +5 -3      ports/astro/astrometry/Makefile
  1.2       +0 -4      ports/astro/astrometry/files/gnu-specific-config.h (dead)
  1.1       +5 -0      ports/astro/astrometry/files/os-features-config.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Max Brazhnikov freebsd_committer 2010-10-09 23:34:38 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!